Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 30 Mar 2022 16:45:52 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? I haven't receive my order till now and I didn't get a phone call from the delivery person. Its not right to say that i didn't attempted the call and/or i didn't response my phone is 24/7 working, I didn't get any phone calls, while I was expecting a call from your delivery guy to get my items and the address I kept its an office address as mentioned before and we close our office at 2pm and I am expecting it before 2pm otherwise I could change the address to my home address.  
Please ask your person to call me on my number 050-7392030 and I already asked the company MAX FASHION on customer care number several times today since 9am to change the address from office to  
home address which is already on my system 
MIRDIF STREET 45A COMPOUND-13 VILLA-1 
I need this order ASAP TODAY Please to the address mentioned above https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4099225